# Hurricane Documentation

# Hurricane VLSI Database

List of all members | Public Member Functions | Static Public Member Functions
Hurricane::RegularLayer Class Reference

RegularLayer description (API) More...

Inheritance diagram for Hurricane::RegularLayer:
[legend]

## Public Member Functions

BasicLayer * | getBasicLayer () const
Public Member Functions inherited from Hurricane::Layer
Technology * | getTechnology () const
const Name & | getName () const
const Mask & | getMask () const
const Mask & | getExtractMask () const
const DbU::Unit & | getMinimalSize () const
const DbU::Unit & | getMinimalSpacing () const
Layer * | getMetalAbove (bool useSymbolic=true) const
Layer * | getMetalBelow (bool useSymbolic=true) const
Layer * | getCutAbove (bool useSymbolic=true) const
Layer * | getCutBelow (bool useSymbolic=true) const
bool | above (const Layer *layer) const
bool | below (const Layer *layer) const
bool | contains (const Layer *layer) const
bool | intersect (const Layer *layer) const
void | setName (const Name &name)
void | setMinimalSize (const DbU::Unit &minimalSize)
void | setMinimalSpacing (const DbU::Unit &minimalSpacing)
Public Member Functions inherited from Hurricane::DBo
virtual void | destroy ()
Property * | getProperty (const Name &) const
Properties | getProperties () const
bool | hasProperty () const
void | put (Property *)
void | remove (Property *)
void | removeProperty (const Name &)
void | clearProperties ()

## Static Public Member Functions

static RegularLayer * | create (Technology *technology, const Name &name, BasicLayer *layer)

## Additional Inherited Members

Public Types inherited from Hurricane::Layer
typedef Hurricane::Mask< unsigned long long > | Mask

## Detailed Description

RegularLayer description (API)

For a more complete description of the Layers objects, please refer to Layer Introduction.

RegularLayer is a symbolic layer that contains exactly one BasicLayer. The accessors functions:

- RegularLayer::getTop()
- RegularLayer::getBottom()
- RegularLayer::getOpposite()

All returns that BasicLayer.

It have one enclose, extention cap & extension width.

## Member Function Documentation

## ◆ create()

RegularLayer * Hurricane::RegularLayer::create | ( | Technology * | technology,
|  | const Name & | name,
|  | BasicLayer * | layer
| ) |  |

static

creates and returns a new regular layer named `<name>`.

Caution: Throws an exception if the technology is null, if the name is
  empty, if a layer of same name already exists or if we overflow the capacity of the bit field associated to the layer mask.

## ◆ getBasicLayer()

BasicLayer * Hurricane::RegularLayer::getBasicLayer | ( |  | ) | const

inline

Returns: the one associated BasicLayer.

The documentation for this class was generated from the following files:

- RegularLayer.h
- RegularLayer.dox